#include "messages.h"

const TBlob& TDebugMessageStartRequestProcessing::GetPostBuf() const {
    return Buf;
}

const TServerRequestData& TDebugMessageStartRequestProcessing::GetRD() const {
    return RD;
}

const TString& TDebugMessageStartRequestProcessing::GetCommand() const {
    return Command;
}

TDebugMessageStartRequestProcessing::TDebugMessageStartRequestProcessing(const TString& command, const TServerRequestData& rd, const TBlob& postBuf)
    : Command(command)
    , RD(rd)
    , Buf(postBuf)
{}

TDebugMessageDoBuildTaskProcessing::TDebugMessageDoBuildTaskProcessing(const TString& taskType)
    : TaskType(taskType)
{}

const TString& TDebugMessageDoBuildTaskProcessing::GetTaskType() const {
    return TaskType;
}
